<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="VCLib" 
Name="EXPORT_TEMPLATE" 
Description="Шаблон экспорта" 
DNAttributes="{Name}" 
DisplayName="{0}" 
Inherits="VCLib.FILE">
  <Fields>
    <Attribute Name="OutputName" Index="490004" Type="string" Description="Имя выходного файла" />
    <Parent Name="ReportFileFormat" Index="490001" Type="VCLib.ReportFileFormat" Description="Формат отчета" Required="1" />
    <Parent Name="ExportData" Index="490002" Type="VCLib.EXPORT_DATA" Description="Экспорт данных" Required="1" />
    <Choice Name="OutputFormat" Index="490003" Description="Выходной формат" Required="1">
      <Item Name="Формат шаблона" Index="0" />
      <Item Name="Pdf" Index="1" />
      <Item Name="Html" Index="2" />
    </Choice>
    <Choice Name="ProcessingWay" Index="490007" Description="Способ обработки" Required="1">
      <Item Name="По умолчанию" Index="0" />
      <Item Name="MS OLE Automation" Index="1" />
      <Item Name="Быстрая обработка" Index="2" />
    </Choice>
    <Child Name="ExportTemplateParameters" Type="VCLib.EXPORT_TEMPLATE_PARAMETER" Description="Лексемный параметр  шаблона файла экспорта" ChildAttribute="ExportTemplate" />
    <Attribute Name="ExportTemplateUqos" Type="text" Description="Атрибут для хранения UQO шаблонов" />
  </Fields>
  <DbMapping>
    <Table name="T_EXPORT_TEMPLATE">
      <Map Name="OutputName" Column="OutputName" />
      <Map Name="ReportFileFormat" Column="ReportFileFormat" />
      <Map Name="ExportData" Column="ExportData" />
      <Map Name="OutputFormat" Column="OutputFormat" />
      <Map Name="ProcessingWay" Column="ProcessingWay" />
      <Map Name="ExportTemplateUqos" Column="ExportTemplateUqos" />
    </Table>
  </DbMapping>
</Entity>